%define url_ver     %(echo %{version}|cut -d. -f1,2)
%define name        mate-file-manager
%define oname       caja
%define major       1
%define gi_major    2.0
%define libname     %mklibname %{oname}-extension %{major}
%define develname   %mklibname -d %{oname}-extension
%define girname     %mklibname %{oname}-gir %{gi_major}
%define subrel      1

Name:               %{name}
Version:            1.6.3
Release:            %mkrel 1
Summary:            File manager for the MATE desktop environment
Group:              File tools
License:            GPLv2+ and LGPLv2+
URL:                http://www.mate-desktop.org/
Source0:            http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:            nautilus_16.png
Source2:            nautilus_32.png
Source3:            nautilus_48.png
Source4:            caja-ffmpegthumbnailer.thumbnailer
Source5:            caja-autostart.in
Source6:            caja-autostart.desktop
# gw from Fedora, fix crash on weird file infos
# http://bugzilla.mate.org/show_bug.cgi?id=519743
Patch0:             nautilus-filetype-symlink-fix.patch
# (fc) don't show KDE specific links (CVS + me) (Mdv bug #4844)
Patch1:             nautilus-kdedesktop.patch
# (fc) auto-unmount ejected medias when mount points are in fstab (Mdv bug #39540)
Patch2:             nautilus-2.25.91-umountfstab.patch
# (fc) add a search .desktop file (GNOME bug #350950) (SUSE)
Patch3:             nautilus-bgo350950-search-desktop.diff
# (upstream) Made File Browser windows always open folders in the same window, even when spatial mode is enabled
Patch4:             mate-file-manager-1.6.2-open-in-same-window-browser-mode.patch
# (cg) Patch for double forking problem (mga#11184)
Patch5:             mate-file-manager-1.6.2-avoid-double-forking.patch
# (upstream) Patch for a crash issue when opening properties
Patch6:             mate-file-manager-1.6.2-assertion_failure_on_max_child_size.patch
# (patch by Atilla ÖNTAŞ) This patch fixes unworking accels issue and respects mate config dirs.
Patch7:             mate-file-manager-1.6.2-mga_fix_config_dirs.patch
# (gnome#674659)	places-sidebar: don't double unref GMount objects
Patch8:			    mate-file-manager-1.6.2-double_unref_GMount_objects.patch
# Along with Source5 and Source6 try to fix x-caja-windows on startup issue
# Taken from Fedora
# https://bugzilla.redhat.com/show_bug.cgi?id=886029
# https://bugs.mageia.org/show_bug.cgi?id=12463
# https://github.com/mate-desktop/caja/issues/100
Patch9:             mate-file-manager-1.6.2-fdo-x-caja-windows.patch
Patch10:            mate-file-manager-1.6.2-fdo-yet_another_xcaja_workaround.patch


BuildRequires:      pkgconfig(libxml-2.0)
BuildRequires:      pkgconfig(dbus-glib-1)
BuildRequires:      gtk-doc
BuildRequires:      intltool
BuildRequires:      mate-common
BuildRequires:      pkgconfig(gsettings-desktop-schemas)
BuildRequires:      pkgconfig(exempi-2.0)
BuildRequires:      pkgconfig(gobject-introspection-1.0)
BuildRequires:      pkgconfig(gtk+-2.0)
BuildRequires:      pkgconfig(glib-2.0)
BuildRequires:      pkgconfig(gsettings-desktop-schemas)
BuildRequires:      pkgconfig(cairo-gobject)
BuildRequires:      pkgconfig(gail)
BuildRequires:      pkgconfig(libexif)
BuildRequires:      pkgconfig(mate-desktop-2.0)
BuildRequires:      pkgconfig(pangox)
BuildRequires:      pkgconfig(sm)
BuildRequires:      pkgconfig(unique-1.0)
BuildRequires:      librsvg-devel

Requires:           gvfs
# Whitout these, caja can not connect to a secure network or WebDav
Suggests:           glib-networking
Suggests:           davfs2
Suggests:           ffmpegthumbnailer
Provides:           %{oname} = %{version}-%{release}
Obsoletes:          %{oname} =< %{version}-%{release}

%description
Caja is a file manager for the MATE desktop environment.

%package -n %{libname}
Summary:             Libraries for Mate file manager
Group:               System/Libraries

%description -n %{libname}
Caja is a  file manager for the MATE desktop environment.
This package contains libraries used by Caja.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}

%package -n %{develname}
Summary:        Libraries and include files for developing caja components
Group:          Development/C
Requires:       %{libname} = %{version}
Requires:       %{girname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{oname}-devel = %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop caja components.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
        --disable-static \
        --enable-unique \
        --disable-update-mimedb \
        --disable-schemas-compile

%make

%install
%makeinstall_std

find %{buildroot} -name *.la -delete

mkdir -p  %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
cp %{_sourcedir}/nautilus_16.png %{buildroot}%{_miconsdir}/caja.png
cp %{_sourcedir}/nautilus_32.png %{buildroot}%{_iconsdir}/caja.png
cp %{_sourcedir}/nautilus_48.png %{buildroot}%{_liconsdir}/caja.png

mkdir -p %{buildroot}%{_datadir}/thumbnailers
install -m644 %{_sourcedir}/caja-ffmpegthumbnailer.thumbnailer %{buildroot}%{_datadir}/thumbnailers/caja-ffmpegthumbnailer.thumbnailer

mkdir -p %{buildroot}%{_localstatedir}/lib/mate/desktop \
    %{buildroot}%{_datadir}/%{oname}/default-desktop \
    %{buildroot}%{_libdir}/%{oname}/extensions-2.0
    
# Install these to fix x-caja-desktop issue (mga#12463)
desktop-file-install --dir=%{buildroot}%{_sysconfdir}/xdg/autostart %{_sourcedir}/caja-autostart.desktop
install -m 755 -p %{_sourcedir}/caja-autostart.in %{buildroot}%{_bindir}/caja-autostart

#Remove unneeded MateConf convert:
rm -fr %{buildroot}%{_datadir}/MateConf

%{find_lang} %{oname}

%files -f %{oname}.lang
%doc README NEWS HACKING AUTHORS MAINTAINERS
%dir %{_localstatedir}/lib/mate/desktop
%dir %{_localstatedir}/lib/mate/
%{_sysconfdir}/xdg/autostart/caja-autostart.desktop
%{_bindir}/*
%{_datadir}/caja
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/dbus-1/services/org.mate.freedesktop.FileManager1.service
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/caja.xml
%{_datadir}/thumbnailers/caja-ffmpegthumbnailer.thumbnailer
%{_datadir}/icons/hicolor/*/emblems/emblem-note.png
%{_libexecdir}/caja-convert-metadata
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/apps/caja.*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%dir %{_libdir}/caja
%dir %{_libdir}/caja/extensions-2.0

%files -n %{libname}
%{_libdir}/libcaja*.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Caja-%{gi_major}.typelib

%files -n %{develname}
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/libcaja-extension
%{_datadir}/gir-1.0/Caja-%{gi_major}.gir



%changelog
* Tue Feb 04 2014 tarakbumba <tarakbumba> 1.6.3-1.1.mga4
+ Revision: 581246
-Add two patches and a wrapper script to workaround mga#12463
-Remove unneeded linking in build section

* Tue Dec 17 2013 tarakbumba <tarakbumba> 1.6.3-1.mga4
+ Revision: 558274
- Bugfix release

* Fri Dec 13 2013 tarakbumba <tarakbumba> 1.6.2-6.mga4
+ Revision: 556609
- Do not double unref Gmount objects
- Respect global mate user config dir.
- Fix accels

* Sun Dec 08 2013 tarakbumba <tarakbumba> 1.6.2-5.mga4
+ Revision: 555840
- Patch for fixing ghashtable crashes in amblem used directories
- Patch for a crash issue when opening properties

* Wed Dec 04 2013 colin <colin> 1.6.2-4.mga4
+ Revision: 554907
- Prevent double forking messing up pkexec mga#11184

* Mon Nov 25 2013 tarakbumba <tarakbumba> 1.6.2-3.mga4
+ Revision: 553506
- Fix spatial mode crashes
- Fix possible crash when previewing audio
- Fix possible crash when renaming files on external devices
- Always open in same window by default  when browser mode is enabled

* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 531712
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 diogenese <diogenese> 1.6.2-1.mga4
+ Revision: 464627
- update sources and removed upstreamed patches
- Updating mate-file-manager from 1.6.1 to 1.6.2

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 445469
- imported package mate-file-manager

